# Run tests in check section
%bcond_without check

# https://github.com/Shopify/sarama
%global goipath         github.com/Shopify/sarama
Version:                1.19.0

%gometa

Name:           golang-github-Shopify-sarama
Release:        0.1%{?dist}
Summary:        Go library for Apache Kafka 0.8 and up
# Detected licences
# - Expat License at 'LICENSE'
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires: golang(github.com/DataDog/zstd)
BuildRequires: golang(github.com/davecgh/go-spew/spew)
BuildRequires: golang(github.com/eapache/go-resiliency/breaker)
BuildRequires: golang(github.com/eapache/go-xerial-snappy)
BuildRequires: golang(github.com/eapache/queue)
BuildRequires: golang(github.com/pierrec/lz4)
BuildRequires: golang(github.com/rcrowley/go-metrics)
%if %{with check}
BuildRequires: golang(github.com/Shopify/toxiproxy/client)
%endif

%description
%{summary}


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{summary}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%prep
%forgesetup


%install
%goinstall


%if %{with check}
%check
%gochecks
%endif


%files devel -f devel.file-list
%license LICENSE
%doc README.md CHANGELOG.md examples


%changelog
* Mon Oct 29 2018 Robert-André Mauchin <zebob.m@gmail.com> - 1.19.0-1
- Release 1.19.0

* Mon Aug 27 2018 Jan Chaloupka <jchaloup@redhat.com> - 1.7.0-0.8.git87ec8d7
- Disable tests
  resolves: #1555780

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-0.7.git87ec8d7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-0.6.git87ec8d7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-0.5.git87ec8d7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-0.4.git87ec8d7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-0.3.git87ec8d7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7.0-0.2.git87ec8d7
- https://fedoraproject.org/wiki/Changes/golang1.7

* Fri Apr 15 2016 jchaloup <jchaloup@redhat.com> - 1.7.0-0.1.git87ec8d7
- First package for Fedora
  resolves: #1327762

